%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate askama

Name:           rust-askama
Version:        0.12.1
Release:    1%{?dist}
Summary:        Type-safe, compiled Jinja-like templates for Rust

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/askama
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Type-safe, compiled Jinja-like templates for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+comrak-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+comrak-devel %{_description}

This package contains library source intended for building other packages which
use the "comrak" feature of the "%{crate}" crate.

%files       -n %{name}+comrak-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+config-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+config-devel %{_description}

This package contains library source intended for building other packages which
use the "config" feature of the "%{crate}" crate.

%files       -n %{name}+config-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dep_humansize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dep_humansize-devel %{_description}

This package contains library source intended for building other packages which
use the "dep_humansize" feature of the "%{crate}" crate.

%files       -n %{name}+dep_humansize-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dep_num_traits-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dep_num_traits-devel %{_description}

This package contains library source intended for building other packages which
use the "dep_num_traits" feature of the "%{crate}" crate.

%files       -n %{name}+dep_num_traits-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+humansize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+humansize-devel %{_description}

This package contains library source intended for building other packages which
use the "humansize" feature of the "%{crate}" crate.

%files       -n %{name}+humansize-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+markdown-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+markdown-devel %{_description}

This package contains library source intended for building other packages which
use the "markdown" feature of the "%{crate}" crate.

%files       -n %{name}+markdown-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mime-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mime-devel %{_description}

This package contains library source intended for building other packages which
use the "mime" feature of the "%{crate}" crate.

%files       -n %{name}+mime-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mime_guess-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mime_guess-devel %{_description}

This package contains library source intended for building other packages which
use the "mime_guess" feature of the "%{crate}" crate.

%files       -n %{name}+mime_guess-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+num-traits-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+num-traits-devel %{_description}

This package contains library source intended for building other packages which
use the "num-traits" feature of the "%{crate}" crate.

%files       -n %{name}+num-traits-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+percent-encoding-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+percent-encoding-devel %{_description}

This package contains library source intended for building other packages which
use the "percent-encoding" feature of the "%{crate}" crate.

%files       -n %{name}+percent-encoding-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-json-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-json" feature of the "%{crate}" crate.

%files       -n %{name}+serde-json-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-yaml-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-yaml-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-yaml" feature of the "%{crate}" crate.

%files       -n %{name}+serde-yaml-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_json-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_json" feature of the "%{crate}" crate.

%files       -n %{name}+serde_json-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_yaml-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_yaml-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_yaml" feature of the "%{crate}" crate.

%files       -n %{name}+serde_yaml-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+urlencode-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+urlencode-devel %{_description}

This package contains library source intended for building other packages which
use the "urlencode" feature of the "%{crate}" crate.

%files       -n %{name}+urlencode-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-actix-web-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-actix-web-devel %{_description}

This package contains library source intended for building other packages which
use the "with-actix-web" feature of the "%{crate}" crate.

%files       -n %{name}+with-actix-web-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-axum-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-axum-devel %{_description}

This package contains library source intended for building other packages which
use the "with-axum" feature of the "%{crate}" crate.

%files       -n %{name}+with-axum-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-gotham-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-gotham-devel %{_description}

This package contains library source intended for building other packages which
use the "with-gotham" feature of the "%{crate}" crate.

%files       -n %{name}+with-gotham-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-hyper-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-hyper-devel %{_description}

This package contains library source intended for building other packages which
use the "with-hyper" feature of the "%{crate}" crate.

%files       -n %{name}+with-hyper-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-mendes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-mendes-devel %{_description}

This package contains library source intended for building other packages which
use the "with-mendes" feature of the "%{crate}" crate.

%files       -n %{name}+with-mendes-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-rocket-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-rocket-devel %{_description}

This package contains library source intended for building other packages which
use the "with-rocket" feature of the "%{crate}" crate.

%files       -n %{name}+with-rocket-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-tide-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-tide-devel %{_description}

This package contains library source intended for building other packages which
use the "with-tide" feature of the "%{crate}" crate.

%files       -n %{name}+with-tide-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-warp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-warp-devel %{_description}

This package contains library source intended for building other packages which
use the "with-warp" feature of the "%{crate}" crate.

%files       -n %{name}+with-warp-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.12.1-1
- initial build
